import com.github.tomakehurst.wiremock.junit5.WireMockExtension;
import org.example.Api;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.RegisterExtension;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.web.reactive.function.client.WebClientAutoConfiguration;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;

import static com.github.tomakehurst.wiremock.core.WireMockConfiguration.wireMockConfig;

@SpringBootTest
@ContextConfiguration(classes = {
        Api.class,
        WebClientAutoConfiguration.class,
})
class ApiTest {

    @RegisterExtension
    static WireMockExtension wm1 = WireMockExtension.newInstance()
            .options(wireMockConfig().port(8082))
            .configureStaticDsl(true)
            .build();

    @Autowired
    private Api mrtApi;

    @Test
    void test() {
        mrtApi.call();
    }
}
